;
; AutoIt Version: 3.0
; Language:       English
; Platform:       Win7
; Author:         Micha
; Date:           2014-09-13
;
; Script Function:
; Support the Intel HD-Graphics Driver: Provide a dedicated application which can be used as a trigger
; to apply a dedicated Intel HD-Graphics Driver Profile.
;

; *** Includes ***
#include <MsgBoxConstants.au3>

; *** Get the file name of this script application. ***
; The current folder is searched for the 1st *.exe file.
$SearchHandle = FileFindFirstFile("*.exe")
; A search result of "-1" should be impossible ... nevertheless:
If $SearchHandle = -1 Then
   $FileName = "UNKNOWN"
EndIf
; Obtian the file name of the before found *.exe file:
$FileName = FileFindNextFile($SearchHandle)
; Remove the file extension = .exe from the string:
$FileName = StringTrimRight($FileName, 4)

; *** Show 4s what will be made in the background by the Intel HD-Graphics Driver. ***
MsgBox($MB_ICONINFORMATION, "Hint", "Activation of the Intel HD-Graphics Driver Profile: "&$FileName&"", 4)

; Close the search handle.
FileClose($SearchHandle)

; *** Done! ***